Sync API Reference
Sync (import/export dataset) service
Exports
# Exports Expo
This exposition provides access to the export records in the system.
get /exports/{resource_id} - show
Description
Show a specific sync:exports
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
get /exports - index
Description
Return a paginated list of sync:exports
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[job_id] | query | any | Optional | - |
| filter[project_id] | query | any | Optional | - |
| filter[created_by_id] | query | any | Optional | - |
| filter[file_id] | query | any | Optional | - |
| filter[filename] | query | any | Optional | - |
| filter[mime_type] | query | any | Optional | - |
| filter[size] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
get /exports/{id}/download - download
Description
Get Export by ID
This endpoint retrieves an export record by its ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Required | - |
Response
No content
post /exports/export - export
Description
initiate export job generation endpoint
Request Body
Response
No content
get /exports/formats - formats
Description
Get Available Export Formats
#
# This endpoint retrieves the list of available export formats for the given modalities.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| modalities | query | any | Required | - |
Response
No content
Jobs
# Jobs Expo
This exposition provides access to the job records in the system.
It allows you to view, delete, and signal jobs.
You can also filter jobs by various attributes such as status, priority, and scheduled time.
get /jobs/{resource_id} - show
Description
Show a specific sync:jobs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
delete /jobs/{resource_id} - delete
Description
Delete the sync:jobs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
get /jobs - index
Description
Return a paginated list of sync:jobs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[job_class] | query | any | Optional | - |
| filter[priority] | query | any | Optional | - |
| filter[status] | query | any | Optional | - |
| filter[progress] | query | any | Optional | - |
| filter[retry_count] | query | any | Optional | - |
| filter[error] | query | any | Optional | - |
| filter[unicity] | query | any | Optional | - |
| filter[scheduled_at] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[id__in] | query | any | Optional | - |
| filter[job_class__in] | query | any | Optional | - |
| filter[priority__gte] | query | any | Optional | - |
| filter[priority__lte] | query | any | Optional | - |
| filter[status__in] | query | any | Optional | - |
| filter[retry_count__gte] | query | any | Optional | - |
| filter[retry_count__lte] | query | any | Optional | - |
| filter[scheduled_at__gte] | query | any | Optional | - |
| filter[scheduled_at__lte] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| filter[updated_at__gte] | query | any | Optional | - |
| filter[updated_at__lte] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response